# Luxsci::MarketingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_marketing_campaign**](MarketingApi.md#add_marketing_campaign) | **POST** /account/{accountId}/marketing/addCampaign | 
[**add_marketing_contact**](MarketingApi.md#add_marketing_contact) | **POST** /account/{accountId}/marketing/addContact | 
[**add_marketing_contacts**](MarketingApi.md#add_marketing_contacts) | **POST** /account/{accountId}/marketing/addContacts | 
[**add_marketing_list**](MarketingApi.md#add_marketing_list) | **POST** /account/{accountId}/marketing/addList | 
[**add_new_marketing_suppression**](MarketingApi.md#add_new_marketing_suppression) | **POST** /account/{accountId}/marketing/suppress | 
[**delete_marketing_campaign**](MarketingApi.md#delete_marketing_campaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
[**delete_marketing_contact_by_id**](MarketingApi.md#delete_marketing_contact_by_id) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
[**delete_marketing_list**](MarketingApi.md#delete_marketing_list) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
[**delete_marketing_list_group**](MarketingApi.md#delete_marketing_list_group) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
[**delete_marketing_suppression**](MarketingApi.md#delete_marketing_suppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
[**get_marketing_campaign_bounced_statistics**](MarketingApi.md#get_marketing_campaign_bounced_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
[**get_marketing_campaign_clicked_statistics**](MarketingApi.md#get_marketing_campaign_clicked_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
[**get_marketing_campaign_groups**](MarketingApi.md#get_marketing_campaign_groups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
[**get_marketing_campaign_opened_statistics**](MarketingApi.md#get_marketing_campaign_opened_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
[**get_marketing_campaign_statistics_summary**](MarketingApi.md#get_marketing_campaign_statistics_summary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
[**get_marketing_campaign_unsubscribed_statistics**](MarketingApi.md#get_marketing_campaign_unsubscribed_statistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
[**get_marketing_campaigns**](MarketingApi.md#get_marketing_campaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
[**get_marketing_contact_by_id**](MarketingApi.md#get_marketing_contact_by_id) | **GET** /account/{accountId}/marketing/getContact/{id} | 
[**get_marketing_contacts**](MarketingApi.md#get_marketing_contacts) | **GET** /account/{accountId}/marketing/getContacts | 
[**get_marketing_list_groups**](MarketingApi.md#get_marketing_list_groups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
[**get_marketing_lists**](MarketingApi.md#get_marketing_lists) | **GET** /account/{accountId}/marketing/getLists | 
[**get_marketing_scheduled_campaigns**](MarketingApi.md#get_marketing_scheduled_campaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
[**get_marketing_suppressions**](MarketingApi.md#get_marketing_suppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
[**mark_contact_as_unsubscribed**](MarketingApi.md#mark_contact_as_unsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
[**schedule_marketing_campaign**](MarketingApi.md#schedule_marketing_campaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
[**update_marketing_campaign**](MarketingApi.md#update_marketing_campaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
[**update_marketing_contact_by_email**](MarketingApi.md#update_marketing_contact_by_email) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
[**update_marketing_contact_by_id**](MarketingApi.md#update_marketing_contact_by_id) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
[**update_marketing_list**](MarketingApi.md#update_marketing_list) | **PUT** /account/{accountId}/marketing/updateList/{id} | 

# **add_marketing_campaign**
> InlineResponse20052 add_marketing_campaign(account_id, opts)



Create a new email broadcast campaign. {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingAddCampaignBody.new # MarketingAddCampaignBody | 
}

begin
  result = api_instance.add_marketing_campaign(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->add_marketing_campaign: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingAddCampaignBody**](MarketingAddCampaignBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **add_marketing_contact**
> InlineResponse20049 add_marketing_contact(account_id, opts)



Add New Contact. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingAddContactBody.new # MarketingAddContactBody | 
}

begin
  result = api_instance.add_marketing_contact(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->add_marketing_contact: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingAddContactBody**](MarketingAddContactBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **add_marketing_contacts**
> InlineResponse2003 add_marketing_contacts(account_id, opts)



Add New Contacts. {{ACL: Marketing - Contact Management}}  This is a bulk wrapper around addContact.  You specify multiple contacts in the contacts list element.  The response contains a list of API response call results for each API add request.  Use of addContacts is the same as calling addContact multiple times; however, it is somewhat more efficient.

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingAddContactsBody.new # MarketingAddContactsBody | 
}

begin
  result = api_instance.add_marketing_contacts(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->add_marketing_contacts: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingAddContactsBody**](MarketingAddContactsBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **add_marketing_list**
> InlineResponse20047 add_marketing_list(account_id, opts)



Add New Contact List. {{ACL: Marketing - List Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingAddListBody.new # MarketingAddListBody | 
}

begin
  result = api_instance.add_marketing_list(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->add_marketing_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingAddListBody**](MarketingAddListBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **add_new_marketing_suppression**
> InlineResponse20053 add_new_marketing_suppression(account_id, opts)



Add New Suppression. {{ACL: Marketing - Suppression}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingSuppressBody.new # MarketingSuppressBody | 
}

begin
  result = api_instance.add_new_marketing_suppression(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->add_new_marketing_suppression: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingSuppressBody**](MarketingSuppressBody.md)|  | [optional] 

### Return type

[**InlineResponse20053**](InlineResponse20053.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **delete_marketing_campaign**
> InlineResponse201 delete_marketing_campaign(account_id, id, opts)



Delete a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 56 # Integer | 
opts = { 
}

begin
  result = api_instance.delete_marketing_campaign(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->delete_marketing_campaign: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **delete_marketing_contact_by_id**
> InlineResponse201 delete_marketing_contact_by_id(account_id, id, opts)



Delete Contact By ID. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 56 # Integer | 
opts = { 
}

begin
  result = api_instance.delete_marketing_contact_by_id(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->delete_marketing_contact_by_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **delete_marketing_list**
> InlineResponse201 delete_marketing_list(account_id, id, opts)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | List Id.
opts = { 
}

begin
  result = api_instance.delete_marketing_list(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->delete_marketing_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**| List Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **delete_marketing_list_group**
> InlineResponse201 delete_marketing_list_group(account_id, id, opts)



Note: deleting a contact list group will NOT delete any contact lists in that group; they will merely become unassociated with any group. {{ACL: Marketing - List Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | List group Id.
opts = { 
}

begin
  result = api_instance.delete_marketing_list_group(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->delete_marketing_list_group: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**| List group Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **delete_marketing_suppression**
> InlineResponse201 delete_marketing_suppression(account_id, type, opts)



Delete Suppression. {{ACL: Marketing - Suppression}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
type = 'type_example' # String | email, domain, ip Select type of suppression
opts = { 
  id: 56, # Integer | id of the suppressed entry
  reference: 'reference_example', # String | Select suppressed records according to this reference you want to delete
}

begin
  result = api_instance.delete_marketing_suppression(account_id, type, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->delete_marketing_suppression: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **type** | **String**| email, domain, ip Select type of suppression | 
 **id** | **Integer**| id of the suppressed entry | [optional] 
 **reference** | **String**| Select suppressed records according to this reference you want to delete | [optional] 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_bounced_statistics**
> InlineResponse20055 get_marketing_campaign_bounced_statistics(account_id, schedule_id, opts)



Get Campaign bounced statistics.  {{ACL: Marketing - Statistics}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
schedule_id = 56 # Integer | Schedule id of schedule to get bounced stats
opts = { 
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25, # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_campaign_bounced_statistics(account_id, schedule_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_bounced_statistics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **schedule_id** | **Integer**| Schedule id of schedule to get bounced stats | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_clicked_statistics**
> InlineResponse20055 get_marketing_campaign_clicked_statistics(account_id, schedule_id, opts)



Get Campaign email link clicked statistics.  {{ACL: Marketing - Statistics}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
schedule_id = 56 # Integer | Schedule id of schedule to get clicked stats
opts = { 
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25, # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_campaign_clicked_statistics(account_id, schedule_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_clicked_statistics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **schedule_id** | **Integer**| Schedule id of schedule to get clicked stats | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_groups**
> InlineResponse20055 get_marketing_campaign_groups(account_id, opts)



Get Campaign Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  id: 56, # Integer | id of the campaign group to fetch details for.
  user_id: 56, # Integer | Get campaign groups of a particular user.
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25 # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_campaign_groups(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_groups: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**| id of the campaign group to fetch details for. | [optional] 
 **user_id** | **Integer**| Get campaign groups of a particular user. | [optional] 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_opened_statistics**
> InlineResponse20055 get_marketing_campaign_opened_statistics(account_id, schedule_id, opts)



Get Campaign email opened statistics.  {{ACL: Marketing - Statistics}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
schedule_id = 56 # Integer | Schedule id of schedule to get open stats
opts = { 
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25, # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_campaign_opened_statistics(account_id, schedule_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_opened_statistics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **schedule_id** | **Integer**| Schedule id of schedule to get open stats | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_statistics_summary**
> InlineResponse2003 get_marketing_campaign_statistics_summary(account_id, schedule_id, opts)



Get Campaign statistics summary. {{ACL: Marketing - Statistics}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
schedule_id = 'schedule_id_example' # String | Schedule id of schedule to get its statatistics summary.
opts = { 
}

begin
  result = api_instance.get_marketing_campaign_statistics_summary(account_id, schedule_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_statistics_summary: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **schedule_id** | **String**| Schedule id of schedule to get its statatistics summary. | 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaign_unsubscribed_statistics**
> InlineResponse20055 get_marketing_campaign_unsubscribed_statistics(account_id, schedule_id, opts)



Get Campaign email unsubscribed statistics.  {{ACL: Marketing - Statistics}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
schedule_id = 56 # Integer | Schedule id of schedule to get unsubscribe stats
opts = { 
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25, # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_campaign_unsubscribed_statistics(account_id, schedule_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaign_unsubscribed_statistics: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **schedule_id** | **Integer**| Schedule id of schedule to get unsubscribe stats | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_campaigns**
> InlineResponse20052 get_marketing_campaigns(account_id, id, group_id, limit_start, limit_count, opts)



This call allows you to retrieve details on your campaigns. {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 56 # Integer | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned.
group_id = 56 # Integer | Group id of the campaigns you want to get.
limit_start = 0 # Integer | Starting row of result. Default: 0
limit_count = 25 # Integer | Number of records to get. Default: 25
opts = { 
}

begin
  result = api_instance.get_marketing_campaigns(account_id, id, group_id, limit_start, limit_count, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_campaigns: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**| Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned. | 
 **group_id** | **Integer**| Group id of the campaigns you want to get. | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [default to 25]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_contact_by_id**
> InlineResponse20051 get_marketing_contact_by_id(account_id, id, opts)



This function allows you to get the details for specific contact using his/her contact ID. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 56 # Integer | 
opts = { 
  full_details: 56, # Integer | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
}

begin
  result = api_instance.get_marketing_contact_by_id(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_contact_by_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 
 **full_details** | **Integer**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20051**](InlineResponse20051.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_contacts**
> InlineResponse20050 get_marketing_contacts(account_id, list_id, limit_start, limit_count, opts)



This call permits you to get your contacts’ data from the system by specific list or in aggregate. None of the request body parameters are required, and if you leave them blank, the call will return all contacts’ data from all your lists. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
list_id = 56 # Integer | Contact list id for the contacts you want to get.
limit_start = 0 # Integer | Starting row of result. Default: 0
limit_count = 25 # Integer | Number of records to get. Default: 25
opts = { 
  full_details: 56, # Integer | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
}

begin
  result = api_instance.get_marketing_contacts(account_id, list_id, limit_start, limit_count, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_contacts: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **list_id** | **Integer**| Contact list id for the contacts you want to get. | 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [default to 25]
 **full_details** | **Integer**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20050**](InlineResponse20050.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_list_groups**
> InlineResponse20055 get_marketing_list_groups(account_id, opts)



Get Campaign List Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  id: 56, # Integer | id of the List Group to fetch details for.
  user_id: 56, # Integer | Get list groups of a particular user.
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25 # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_list_groups(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_list_groups: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**| id of the List Group to fetch details for. | [optional] 
 **user_id** | **Integer**| Get list groups of a particular user. | [optional] 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_lists**
> InlineResponse20048 get_marketing_lists(account_id, opts)



Return details about one or more specific Contact List(s). If you omit all parameters, all lists should be returned. {{ACL: Marketing - List Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  list_id: 56, # Integer | List id for the specific contact list you want details for.
  group_id: 56, # Integer | Group id for all getting lists in a specific group
}

begin
  result = api_instance.get_marketing_lists(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_lists: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **list_id** | **Integer**| List id for the specific contact list you want details for. | [optional] 
 **group_id** | **Integer**| Group id for all getting lists in a specific group | [optional] 

### Return type

[**InlineResponse20048**](InlineResponse20048.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_scheduled_campaigns**
> InlineResponse20055 get_marketing_scheduled_campaigns(account_id, opts)



Get Scheduled Campaigns.  {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  id: 56, # Integer | id of the campaign to fetch details for.
  user_id: 56, # Integer | Get campaigns of a particular user.
  limit_start: 25, # Integer | Number of records to get. Default: 25.
  limit_count: 25, # Integer | Number of records to get. Default: 25.
  t_start: 56, # Integer | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
  t_end: 56 # Integer | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
}

begin
  result = api_instance.get_marketing_scheduled_campaigns(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_scheduled_campaigns: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**| id of the campaign to fetch details for. | [optional] 
 **user_id** | **Integer**| Get campaigns of a particular user. | [optional] 
 **limit_start** | **Integer**| Number of records to get. Default: 25. | [optional] [default to 25]
 **limit_count** | **Integer**| Number of records to get. Default: 25. | [optional] [default to 25]
 **t_start** | **Integer**| The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 
 **t_end** | **Integer**| The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **get_marketing_suppressions**
> InlineResponse20054 get_marketing_suppressions(account_id, type, opts)



Get Suppressions. {{ACL: Marketing - Suppression}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
type = 'type_example' # String | email, domain, ip Select type of suppression list you want to get
opts = { 
  id: 56, # Integer | id of the suppressed entry
  reference: 'reference_example', # String | Get suppressed records according to this reference
  limit_start: 0, # Integer | Starting row of result. Default: 0
  limit_count: 25, # Integer | Number of records to get. Default: 25
}

begin
  result = api_instance.get_marketing_suppressions(account_id, type, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->get_marketing_suppressions: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **type** | **String**| email, domain, ip Select type of suppression list you want to get | 
 **id** | **Integer**| id of the suppressed entry | [optional] 
 **reference** | **String**| Get suppressed records according to this reference | [optional] 
 **limit_start** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limit_count** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20054**](InlineResponse20054.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **mark_contact_as_unsubscribed**
> InlineResponse201 mark_contact_as_unsubscribed(account_id, id, opts)



Changes a contact’s status to “unsubscribed.” This is more efficient than calling updateContact to make this change. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | 
opts = { 
}

begin
  result = api_instance.mark_contact_as_unsubscribed(account_id, id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->mark_contact_as_unsubscribed: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **schedule_marketing_campaign**
> InlineResponse2003 schedule_marketing_campaign(account_id, opts)



Schedule Campaign. {{ACL: Marketing - Scheduling}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
opts = { 
  body: Luxsci::MarketingCampaignScheduleBody.new # MarketingCampaignScheduleBody | 
}

begin
  result = api_instance.schedule_marketing_campaign(account_id, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->schedule_marketing_campaign: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**MarketingCampaignScheduleBody**](MarketingCampaignScheduleBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_marketing_campaign**
> InlineResponse20052 update_marketing_campaign(account_idid, opts)



Update a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | 
opts = { 
  body: Luxsci::UpdateCampaignIdBody.new # UpdateCampaignIdBody | 
}

begin
  result = api_instance.update_marketing_campaign(account_idid, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->update_marketing_campaign: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**|  | 
 **body** | [**UpdateCampaignIdBody**](UpdateCampaignIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_marketing_contact_by_email**
> InlineResponse20049 update_marketing_contact_by_email(account_idemail, opts)



Update the details, including custom field values, of contacts with the specified email address. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
email = 'email_example' # String | 
opts = { 
  body: Luxsci::UpdateContactEmailBody.new # UpdateContactEmailBody | 
}

begin
  result = api_instance.update_marketing_contact_by_email(account_idemail, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->update_marketing_contact_by_email: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **email** | **String**|  | 
 **body** | [**UpdateContactEmailBody**](UpdateContactEmailBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_marketing_contact_by_id**
> InlineResponse20049 update_marketing_contact_by_id(account_idid, opts)



Update the details, including custom field values, of a contact, using their contact ID. {{ACL: Marketing - Contact Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | 
opts = { 
  body: Luxsci::UpdateContactRequestBody.new # UpdateContactRequestBody | 
}

begin
  result = api_instance.update_marketing_contact_by_id(account_idid, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->update_marketing_contact_by_id: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**|  | 
 **body** | [**UpdateContactRequestBody**](UpdateContactRequestBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_marketing_list**
> InlineResponse20047 update_marketing_list(account_idid, opts)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```ruby
# load the gem
require 'luxsci'

api_instance = Luxsci::MarketingApi.new
account_id = 'account_id_example' # String | 
id = 'id_example' # String | List Id.
opts = { 
  body: Luxsci::UpdateListIdBody.new # UpdateListIdBody | 
}

begin
  result = api_instance.update_marketing_list(account_idid, opts)
  p result
rescue Luxsci::ApiError => e
  puts "Exception when calling MarketingApi->update_marketing_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **String**| List Id. | 
 **body** | [**UpdateListIdBody**](UpdateListIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



